Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind
Class DoubleBindingChecker

    java.lang.Object
      com.google.gwt.inject.rebind.DoubleBindingChecker

    public class DoubleBindingChecker

extends java.lang.Object

Validate that a Ginjector hierarchy doesn't contain any duplicate bindings.

Constructor Summary
`DoubleBindingChecker(ErrorManager errorManager, com.google.gwt.core.ext.TreeLogger logger)`

Method Summary
`void` | `checkBindings(GinjectorBindings ginjector)`
`void` | `checkBindings(GinjectorBindings ginjector, java.util.Map<Key<?>,GinjectorBindings> bindingSources)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleBindingChecker

    @Inject
    public DoubleBindingChecker(ErrorManager errorManager,
                                       com.google.gwt.core.ext.TreeLogger logger)

Method Detail

### checkBindings

    public void checkBindings(GinjectorBindings ginjector)

### checkBindings

    public void checkBindings(GinjectorBindings ginjector,
                              java.util.Map<Key<?>,GinjectorBindings> bindingSources)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD